/**
 * @author Kristo
 */
class Ruut extends MovieClip{
	private var pressed:Boolean;
	private var alphaMoveDown:Boolean;
	private var moveByPixels = 2;
	
	/**
	 * Constructor
	 */
	public function Ruut(){
		trace("Constructor loaded " + this);
		pressed = false;
		alphaMoveDown = false;
		this.onPress = drag;
		this.onRelease = startMove;
	}
	
	/**
	 * onRelease event
	 */
	private function startMove():Void{
		this.stopDrag();
		if(!pressed){
			trace("startMove" + this);
			pressed = true;
			this._alpha = 100;
			this.onEnterFrame = move;
		}
		else{
			trace("stop " + this);			
			pressed = false;
			this.onEnterFrame = undefined;
		}
	}
	
	/**
	 * Moving MC within a frame
	 */
	private function move():Void{
		trace("move " + this);
		this._x+=moveByPixels-((Math.random())*moveByPixels*2);
		this._y+=moveByPixels-((Math.random())*moveByPixels*2);
		if(this._alpha >= 100){
			alphaMoveDown = true;
		}
		else if (this._alpha <=30){
			alphaMoveDown = false;
		}
		
		if(alphaMoveDown){
			this._alpha -= Math.random()*10;			
		}
		else{
			this._alpha += Math.random()*10;						
		}
	}
	
	/**
	 * onPress Draging event
	 */
	private function drag():Void{
		this.startDrag();
	}
}